0

I am a Windows 98 user and believe my Internet Explorer is outdated. I keep getting an error message stating that my browser cannot support certain actions because it is not considered secure. I am advised to upgrade my browser and then resume the session. My question is: How do I go about upgrading Internet Explorer? I'm not even sure which version of IE I have. Please help. Thank you! ;)

janda5

3
Contributors
2
Replies
3
Views
11 Years
Discussion Span
Last Post by Kn10
0

If you havent ever been to the Windows Update site you are probably still running Internet Explorer 5. IE5 has older "root certificates" (those little locks on secure sites, the newer certificates arent being recongised) which wont work on alot of newer sites that use them.

If you are running IE5. Goto the Windows update site and try and update your browser. If you hit a "Windows Update Error", follow these instructions which will help you update:
http://www.technibble.com/how-to-fix-windows-update-error-installing-ie6/

This topic has been dead for over six months. Start a new discussion instead.
Have something to contribute to this discussion? Please be thoughtful, detailed and courteous, and be sure to adhere to our posting rules.